Package org.eclipse.emf.compare.internal.dmp

## Class diff_match_patch.LinesToCharsResult

- java.lang.Object
- - org.eclipse.emf.compare.internal.dmp.diff_match_patch.LinesToCharsResult

Enclosing class:
  diff_match_patch

    protected static class diff_match_patch.LinesToCharsResult
    extends Object

Internal class for returning results from diff_linesToChars(). Other less paranoid languages just use a three-element array.

### Field Summary

Fields
`protected String` `chars1`
`protected String` `chars2`
`protected List<String>` `lineArray`

### Constructor Summary

Constructors
`protected` `LinesToCharsResult​(String chars1, String chars2, List<String> lineArray)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chars1

    protected String chars1

#### chars2

    protected String chars2

#### lineArray

    protected List<String> lineArray

### Constructor Detail

#### LinesToCharsResult

    protected LinesToCharsResult​(String chars1,
                                 String chars2,
                                 List<String> lineArray)